List tools
Lists the tools that agents can use, ordered by ID.
GET
Lists the tools that agents can use, ordered by ID.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
pageSize?integerMaximum number of items to return. Defaults to 50; values above 500 are treated as 500.
Format
int32Range
0 <= valuepageToken?stringPage token from a previous response.
OK
application/json- response
nextPageToken*stringToken for the next page; empty on the last page.
tools*array<>Tools, ordered by ID.
curl -X GET 'https://api.kosem.ai/v1/tools'Example Response
{
"nextPageToken": "string",
"tools": [
{
"description": "string",
"displayName": "string",
"inputSchema": "string",
"kind": "SERVER",
"name": "string"
}
]
}